=== debian/changelog ===
debram (0.4.1) unstable; urgency=low

  * Corrected `debian/control' to include a build-dependency
    on `zlib1g-dev'.  Closes #231100.

 -- Thaddeus H. Black <t@b-tk.org>  Fri,  6 Feb 2004 00:00:00 +0000

debram (0.4.0) unstable; urgency=low

  * Incremented the version number to 0.4.0 for sponsor Giacomo
    Catenazzi's upload to Debian's unstable archive.  Updated the
    various package dates, histories and version notations accordingly
    but made no other changes to the package.

 -- Thaddeus H. Black <t@b-tk.org>  Fri, 23 Jan 2004 00:00:00 +0000

debram (0.3.1e) experimental; urgency=low

  * Corrected and neatened `helper/new-debram-body' in several small
    ways.  Improved its error messages generally.  Added and documented
    the useful new "unknown maintainer" error message.  Added the -w
    option.
  * Updated `maint.txt'.
  * Updated the manpage's Bugs section.
  * Added some nomenclature to the manpage's Ramification section.

 -- Thaddeus H. Black <t@b-tk.org>  Tue, 20 Jan 2004 00:00:00 +0000

debram (0.3.1d) experimental; urgency=low

  * Removed the `author/' directory and added the new `helper/'
    directory.  The old directory had contained undocumented scripts and
    other files which probably were useless to anyone but the author.
    The new directory contains documented scripts and files potentially
    useful to any debram developer.
  * In `debian/control', added explicit Section and Priority data to
    each binary paragraph; removed the Enhances datum.
  * Updated `maint.txt' to include all the names of sarge's current
    maintainers.  (Debian sarge is in testing at the time of this
    writing.)

 -- Thaddeus H. Black <t@b-tk.org>  Fri, 16 Jan 2004 00:00:00 +0000

debram (0.3.1c) experimental; urgency=low

  * Removed `author/author.tar'.
  * Corrected FTP link in `debian/copyright'.
  * Per Giacomo Catenazzi's suggestion, added error checking to all the
    program's calls to malloc(3) and calloc(3).  (See `alloc.h'.)
  * Conformed to Standards Version 3.5.10.
  * Configured the source to build with debhelper 4.1.  (This means that
    the source now builds for sarge only, not woody.  Debian 3.0 woody
    users should install the old debram 0.3.1.)
  * Retagged `cmdsel.txt' for doc-base.

 -- Thaddeus H. Black <t@b-tk.org>  Mon,  5 Jan 2004 00:00:00 +0000

debram (0.3.1) unstable; urgency=low

  * Tracked Debian's 3.0r2 issue.
  * Slightly altered the sorting of package names within a ram, letting
    packages from the same source appear sequentially.
  * Corrected five or six misramifications.
  * Because the debram's own control file refers to them, added
    packages `debram-data' and `debtags' (`debram' had already been
    added in 0.2.0).
  * Corrected color output to xterm(1).
  * Noted here for historical interest that a debram 0.1.0 did exist,
    but that it consisted solely of the unpackaged file `cmdsel.txt'.
    Its issue date was 29 May 2002.  While it was not then a Debian
    package and was not called `debram', it is the direct antecedent of
    today's debram package.

 -- Thaddeus H. Black <t@b-tk.org>  Fri, 26 Dec 2003 00:00:00 +0000

debram (0.3.0) unstable; urgency=low

  * Recast the source as a native Debian package.
  * Split the data files away into a separate, architecture-independent
    binary package `debram-data'.
  * Added new -1 and -s options to debram(1).
  * Extended debram(1)'s -T option to enhance -d and -m.
  * Extended debram(1)'s -d and -m options to accept ram specification.
  * Trimmed and updated debram(1)'s manpage.

 -- Thaddeus H. Black <t@b-tk.org>  Mon, 15 Dec 2003 13:14:07 +0000

debram (0.2.0-1) unstable; urgency=low

  * Initial Release.

 -- Thaddeus H. Black <t@b-tk.org>  Mon, 24 Nov 2003 02:36:26 +0000

Local variables:
mode: debian-changelog
End:
