=== debian/control ===
Source: debram
Section: admin
Priority: extra
Maintainer: Thaddeus H. Black <t@b-tk.org>
Build-Depends: debhelper (>= 4.1.0), zlib1g-dev (>= 1:1.1.4-1.0woody0)
Standards-Version: 3.5.10

Package: debram
Section: admin
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, debram-data (= ${Source-Version})
Suggests: debtags
Description: Ramified catalog of available .debs
 Debian GNU/Linux provides thousands upon daunting thousands of software
 packages.  Sorting them into broad classes then dividing and redividing
 them into finer, more specific branches, the Debram ramifies Debian's
 packages in much the same manner as a university library ramifies its
 books.  If you know what you want your computer to do but do not yet
 know the package to do it, you can find the package here.
 .
 (While highly useful, this preliminary version covers only packages
 distributed with Debian 3.0 woody.  Debian sarge's thousands of new
 packages are not yet included.)

Package: debram-data
Section: admin
Priority: extra
Architecture: all
Recommends: debram (= ${Source-Version})
Description: Ramified catalog of available .debs
 Debian GNU/Linux provides thousands upon daunting thousands of software
 packages.  Sorting them into broad classes then dividing and redividing
 them into finer, more specific branches, the Debram ramifies Debian's
 packages in much the same manner as a university library ramifies its
 books.  If you know what you want your computer to do but do not yet
 know the package to do it, you can find the package here.
 .
 (While highly useful, this preliminary version covers only packages
 distributed with Debian 3.0 woody.  Debian sarge's thousands of new
 packages are not yet included.)
 .
 This package provides the Debram's architecture-independent data files.
