## debram 0.6.1

=== Makefile ===
--- 
+++ 
@@ -28,12 +28,13 @@
 
 prog     := debram
 
+DEBRAM_OPTIM_LVL ?= -O2
 ifdef DEBRAM_LOCAL
   ccdef       := -DDEBRAM_LOCAL
   warn        := -Wall
   clean_local := a.out out err
 else
-  optim       := -O2 -fomit-frame-pointer
+  optim       := $(DEBRAM_OPTIM_LVL) -g -fomit-frame-pointer
 endif
 
 CFLAGS   += $(warn) $(ccdef) $(optim)
