=== debian/changelog ===
debram (0.6.1) unstable; urgency=low

  * Updated the ramification data to reflect sarge as of this date.
  * Updated maint.txt.

 -- Thaddeus H. Black <t@b-tk.org>  Fri,  3 Dec 2004 21:00:00 +0000

debram (0.6.0) unstable; urgency=low

  * Included the new sarge debram.txt, with sarge packages ramified per
    the new sarge ramification plan.
  * Because debram.txt now presents current data, removed
    the "Priority: extra" from debian/control, reverting
    to "Priority: optional".
  * Reformed the binary packages' Descriptions.  In particular, gave
    debram-data its own distinct Description and removed the
    now-obsolete woody disclaimer.
  * Updated the manpage to cover the new sarge data issue.
  * Sorted team-maintained packages to the head of each ram,
    except "Tm QA" packages, which are sorted to the foot.
  * Updated debian/README.
  * Updated and extended the development helper scripts.
  * At last understanding Colin Watson's suggestion of three months ago,
    fixed the various development helper scripts to use FindBin to
    locate Perl modules and other files relative to the helper/
    directory.
  * Updated maint.txt.

 -- Thaddeus H. Black <t@b-tk.org>  Mon,  8 Nov 2004 21:00:00 +0000

debram (0.5.2) unstable; urgency=low

  * Reprioritized the list of sites from which users can download future
    debram data.
  * Applied Gustavo Franco's manpage patch, correcting the reference in
    the Files section from /usr/lib/debram/ to /usr/share/debram/
    (closes: #276577).
  * Updated and shortened the manpage's Bugs section.
  * Added appropriate acknowledgements to the manpage's Author section.
  * Revised the manpage in several other minor respects.
  * Relaxed the source's Build-Dependency on debhelper, making the same
    debram source equally buildable on woody, sarge and sid platforms.
  * Added the new helper scripts check-maint-addr and check-ram-titles;
    added the new -tmT options to the helper script new-debram-body;
    fixed the helper script buff-expand, stopping it from touching the
    revision timestamps of files it does not alter; edited other
    helpers in minor ways.
  * Updated maint.txt.

 -- Thaddeus H. Black <t@b-tk.org>  Tue, 26 Oct 2004 00:00:00 +0000

debram (0.5.1) unstable; urgency=high

  * Credited Martin Pitt here for discovering the need for the
    following five changes.
  * In the debram-data binary, moved debram.txt from
    /usr/share/doc/debram-data/ to /usr/share/debram-data/,
    to comply with Policy sect 12.3 (closes: #272422).
  * In the debram binary, symlinked the platform-
    independent `debram.txt.gz' from /usr/share/debram/ rather
    than /usr/lib/debram/, to comply with FHS sect 4.7.
  * Removed unneeded empty maintainer scripts (debhelper creates
    suitable default maintainer scripts automatically).
  * To comply with Policy sect 10.1, altered `Makefile' and debian/rules
    - always to compile with debugging symbols (except during a
      local, non-packaging build), stripping unwanted symbols after
      compilation; and
    - to respect "noopt" in DEB_BUILD_OPTIONS.
  * Removed superfluous "configure" target from debian/rules.
  * Because data files have moved (see above), controlled debram-data
    to Conflict against old debram (<< 0.5.1).  (Future debram-data are
    to be compatible with any debram (>= 0.5.1).  If an incomptatible
    debram-data emerged, it would be versioned at least 0.7.)
  * Slightly simplified the binary package interdependencies per
    Giacomo Catenazzi's advice.
  * To avoid abusing the present "urgency=high" upload, deferred
    further, non-urgent changes.

 -- Thaddeus H. Black <t@b-tk.org>  Mon, 20 Sep 2004 22:30:00 +0000

debram (0.5.0) unstable; urgency=low

  * Undertook not to change the format of `debram.txt' in 0.5.x or
    0.6.x, thus enabling users (per Giacomo Catenazzi's suggestion)
    later to install new `debram-data' packages or even just to load new
    `debram.txt' files without upgrading the `debram' package.  For this
    reason, incremented the minor version number to 0.5.
  * Planned to number the upcoming complete sarge ramification 0.6, to
    distinguish it from the present 0.5 which lacks complete sarge
    coverage.
  * Because the debram binary package no longer depends on a specific
    version of debram-data, gave debram its own copies of the copyright
    and changelog.gz files.  (Refer to Policy sects 12.5 and 12.7.)
  * Restricted the package license to GPL version 2, rather than GPL
    version 2 or later, thus withdrawing from the FSF its unique
    privilege to extend the license.
  * Implemented debram(1)'s -t option.
  * Added to the man page instructions on finding and installing the
    complete sarge ramification data, when they become available.
  * Extended the man page's Quick Start section.  Also, had the man page
    refer contributors to debtags-devel@lists.alioth.debian.org rather
    than to Thaddeus.  Edited and updated the page in a few other minor
    ways.
  * Merged into debian/rules Giacomo Catenazzi's patch to clean stray
    build stamps.
  * Added a HISTORY file per Enrico Zini's suggestion.
  * With Nick Lewycky's help, made the scripts `helper/new-debram-body'
    and `helper/sort-maint' fully relocatable.
  * Updated `maint.txt'.

 -- Thaddeus H. Black <t@b-tk.org>  Mon,  2 Aug 2004 00:00:00 +0000

debram (0.4.2) unstable; urgency=low

  * Observed here that this issue is principally a minor bugfix issue,
    and that more substantive modifications are deliberately held back
    against the apparent imminence of Debian sarge's release.  (Felt
    that a risk of introducing new bugs along with new features seemed a
    poor gamble at the moment.)
  * Disambiguated ram 8657's title from "Other Mail" (which was also
    ram 1657's title) to "Other Mail Transport".
  * Unswapped debram(1)'s seldom-used --data-file and --data-file-gz
    command-line options.

