## debram 0.6.4

=== Makefile ===
--- 
+++ 
@@ -50,6 +50,8 @@
 argp_h    = $(def_h)             argp.h
 sel_h     = $(def_h)             sel.h
 color_h   = $(def_h) $(argp_h)   color.h
+utf8_h    = $(def_h) $(argp_h)   \
+                     $(color_h)  utf8.h
 ldf_h     = $(def_h)             ldf.h
 datum_h   = $(def_h)             datum.h
 xref_h    = $(def_h)             xref.h
@@ -64,6 +66,7 @@
             argp.o   \
             sel.o    \
             color.o  \
+            utf8.o   \
             ldf.o    \
             datum.o  \
             xref.o   \
@@ -82,6 +85,7 @@
 argp.o    : $(argp_h)   $(alloc_h)
 sel.o     : $(sel_h)    $(alloc_h)
 color.o   : $(color_h)  $(argp_h)
+utf8.o    : $(utf8_h)   $(alloc_h)
 ldf.o     : $(ldf_h)    $(argp_h)
 datum.o   : $(datum_h)  $(conv_h)   \
                         $(argp_h)   \
@@ -92,15 +96,18 @@
                         $(alloc_h)
 plan.o    : $(plan_h)   $(argp_h)   \
                         $(color_h)  \
+                        $(utf8_h)   \
                         $(xref_h)
 prdeb.o   : $(prdeb_h)  $(strx_h)   \
                         $(argp_h)   \
                         $(sel_h)    \
                         $(color_h)  \
+                        $(utf8_h)   \
                         $(datum_h)
 prram.o   : $(prram_h)  $(conv_h)   \
                         $(argp_h)   \
                         $(color_h)  \
+                        $(utf8_h)   \
                         $(datum_h)  \
                         $(prdeb_h)
 find.o    : $(find_h)   $(strx_h)   \
@@ -110,6 +117,7 @@
                         $(prdeb_h)
 main.o    : $(main_h)   $(argp_h)   \
                         $(sel_h)    \
+                        $(utf8_h)   \
                         $(xref_h)   \
                         $(plan_h)   \
                         $(prram_h)  \
