=== debian/changelog ===
debram (0.6.4) unstable; urgency=medium

  * Prepared this upload pursuant to
    - http://lists.debian.org/debian-devel-announce/2005/04/msg00003.html
    - http://lists.debian.org/debian-release/2005/04/msg00029.html
    - http://lists.debian.org/debian-devel/2005/04/msg00161.html
    and the discussion threads descending therefrom.  Expected this
    issue to be the final issue before sarge's release.
  * Updated the ramification data to reflect sarge as of this date.
  * Excepting a handful of packages at their maintainers' request,
    purged data for packages not in sarge.
  * Updated maint.txt.

 -- Thaddeus H. Black <t@b-tk.org>  Sat,  2 Apr 2005 21:00:00 +0000

debram (0.6.3) unstable; urgency=low

  * Updated the ramification data to reflect sarge as of this date.
  * Updated maint.txt.
  * Added some minor new development helper scripts, including
    helper/update-ver and helper/update-date.

 -- Thaddeus H. Black <t@b-tk.org>  Wed,  9 Feb 2005 21:00:00 +0000

debram (0.6.2a) experimental; urgency=low

  * Added automatic locale support (with Maciej Dems).

 -- Thaddeus H. Black <t@b-tk.org>  Thu,  3 Feb 2005 00:00:00 +0000

debram (0.6.2) unstable; urgency=low

  * Updated the ramification data to reflect sarge as of this date.
  * Updated maint.txt.
  * Implemented debram(1)'s -u option to support utf-8 I/O.
    (Maciej Dems' good advice is acknowledged in this.)
  * Implemented debram(1)'s -. option.
  * Extended the manpage's list of library-data download sites.
  * Uncluttered debram(1)'s --help list somewhat by hiding a few
    rarely-used options (the manpage still documents them).

 -- Thaddeus H. Black <t@b-tk.org>  Mon, 24 Jan 2005 21:00:00 +0000
