=== debian/control ===
Source: debram
Section: admin
Priority: optional
Maintainer: Thaddeus H. Black <t@b-tk.org>
Build-Depends: debhelper (>= 4.0.2), zlib1g-dev (>= 1:1.1.4-1.0woody0)
Standards-Version: 3.6.1

Package: debram
Section: admin
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, debram-data (>= ${Source-Version})
Suggests: debtags
Description: ramified catalog of available .debs
 Debian GNU/Linux provides thousands upon daunting thousands of software
 packages.  Sorting them into broad classes then dividing and redividing
 them into finer, more specific branches, the Debram ramifies Debian's
 packages in much the same manner as a university library ramifies its
 books.  If you know what you want your computer to do but do not yet
 know the package to do it, you can find the package here.

Package: debram-data
Section: admin
Priority: optional
Architecture: all
Recommends: debram (>= 0.5.1)
Conflicts: debram (<< 0.5.1)
Description: debram's architecture-independent data
 This data package installs the Debian Ramification's documentation and
 architecture-independent data.  It also provides the Command Selection
 Guide, ramifying eight hundred basic GNU/Linux commands.  See debram.
