=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# Modified by Thaddeus H. Black for debram.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEBRAM_OPTIM_LVL
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  DEBRAM_OPTIM_LVL := -O0
else
  DEBRAM_OPTIM_LVL := -O2
endif

build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir
	$(MAKE)
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp:
	dh_testdir
	touch build-indep-stamp

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp build-stamp
	-$(MAKE) clean
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install debram usr/bin

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_install -i debram.txt usr/share/debram-data
	dh_installdocs -i
	dh_installchangelogs -i
	dh_compress -i usr/share/debram-data/debram.txt
	dh_link -i usr/share/debram-data/debram.txt.gz \
	  usr/share/doc/debram-data/debram.txt.gz
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installchangelogs -a
	for DOC in debram.txt $$( cat debian/debram-data.docs ) ; do \
	  dh_link -a usr/share/doc/debram-data/$${DOC}.gz \
	    usr/share/doc/debram/$${DOC}.gz ; \
	done
	dh_installman -a
	dh_strip -a
	dh_compress -a
	dh_link -a usr/share/debram-data/debram.txt.gz \
	  usr/share/debram/debram.txt.gz
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
