## debram 0.6.5

=== debian/changelog ===
debram (0.6.5) unstable; urgency=low

  * Aggregated the changes in experimental versions 0.6.4a through d
    for official release to unstable (see those changelog entries).
  * Observed here that although further bugfixes are not impossible,
    neither are they expected; and that barring an urgent need,
    debram 0.6.5 is expected to the the last debram.
  * Offered admins the following counsel.
    - Sarge stable admins should install the binaries debram 0.6.4
      (distributed with sarge) and debram-data 0.6.5.
    - Sarge stable admins may build and install their own local
      debram 0.6.5 binaries.  This works fine; the source is already
      properly backported.  However, building one's own debram 0.6.5
      binary is unnecessary.  If unsure, follow the advice in the
      previous point.
    - Etch testing and sid unstable admins should install debram 0.6.5
      and debram-data 0.6.5.  They should also probably install debtags.
    - Although etch includes debram, most etch stable admins probably do
      not need it.  Instead, they can and should install debram's
      improved replacement debtags.
    - Etch+1 admins (and sid admins in the era following etch's release)
      do not need debram and, unless they have some unusual historical
      interest, should not install it.
  * Observed here that debram, useful for sarge users, is less useful
    post-sarge and is planned to be removed from Debian after etch's
    release.

 -- Thaddeus H. Black <t@b-tk.org>  Wed, 14 Sep 2005 00:00:00 +0000

debram (0.6.4d) experimental; urgency=low

  * Observed here that this experimental release is a candidate for
    0.6.5 release to sid three days to three weeks from today, if no
    further bugs emerge in the meantime.
  * Updated the FSF's postal address in debian/copyright.

 -- Thaddeus H. Black <t@b-tk.org>  Sat, 03 Sep 2005 00:00:00 +0000

debram (0.6.4c) experimental; urgency=low

  * Observed here that this experimental release is a candidate for
    0.6.5 release to sid three days to three weeks from today, if no
    further bugs emerge in the meantime.
  * Rebuilt debram.txt from the concatenated Packages files included
    with the official Debian 3.1r0a i386 CD set.  (The concatenated CD
    Packages files are substantially similar to the FTP Packages file.
    With respect to one or two packages of optional or extra Priority,
    however, the CDs and FTP seem to disagree on the exact package
    Priority.  Why?  Don't know.  Haven't investigated.  The difference
    admittedly does not amount to much.  Anyway, this debram build
    follows the CDs.)
  * Slightly modified maint.txt and helper/new-debram-body to handle
    correctly the concatenated CD Packages file.

 -- Thaddeus H. Black <t@b-tk.org>  Wed, 31 Aug 2005 00:00:00 +0000

debram (0.6.4b) experimental; urgency=low

  * Taking advantage of the helpful fact that sarge was now stable,
    reviewed the ramification top to bottom, correcting two or three
    hundred misramifications.  Observed that this was meant to be the
    last such general review.
  * Subdivided the 1740 and 9150 rams.
  * Added a few new cross-references between rams.
  * Added a new BUILDING text file, setting forth some notes relevant to
    users who want to build their own debram packages.
  * Added a new helper/RelSteps text file, outlining the steps the
    author typically takes in preparing a new debram release.
  * Added a minor iconv(3)-like capability to helper/new-debram-body.
  * Slightly corrected maint.txt.

 -- Thaddeus H. Black <t@b-tk.org>  Thu,  4 Aug 2005 00:00:00 +0000

debram (0.6.4a) experimental; urgency=low

  * Observed here that this is the first issue after sarge's release.
    Noted that the debram-data package issued here is fully compatible
    with sarge's debram (0.6.4) package, and that it is expected (and
    supported and recommended) that many sarge debram users will upgrade
    debram-data but not debram.
  * Observed here that the significance of this experimental issue and
    of the forthcoming 0.6.5 issue is that, unlike the 0.6.4 issue
    actually shipped with sarge, these later issues fully cover sarge.
    (The final sarge package list became available only just before
    sarge's release, by which time of course it was too late to update
    debram-data in sarge.  This was expected and planned.  Thus this
    issue, and the forthcoming 0.6.5.)
  * Updated the ramification data to cover all binary packages in sarge
    stable main i386.
  * Added a few new cross-references between rams.  Clarified the title
    of ram 8141.  Corrected a handful of package misramifications.
  * Edited the manpage significantly, reflecting the circumstances
    prevailing after sarge's stable release.  Among other changes,
    - deleted the "Updating the Library Data" section;
    - revised the "Bugs" section; and
    - added a notice that the -c option does not work well on terminals
      with white backgrounds.
  * Extended the Document History appropriately at debram.txt's foot.
  * Deleted one now unneeded helper script.  Slightly improved one or
    two of the others.
  * To avoid confusion for sarge users upgrading debram-data,
    refrained from updating the maintainer's e-mail address here
    to <thb@debian.org> (the maintainer is an official Debian Developer
    as of this issue).
  * Updated maint.txt to include all sarge package maintainers.
  * Observed here that the source is fully buildable on a sarge stable
    system, without any backporting modification.  Undertook to maintain
    such clean backportability for all 0.6.x issues.

 -- Thaddeus H. Black <t@b-tk.org>  Sat, 18 Jun 2005 00:00:00 +0000
