## debram 1.0.2

=== debian/changelog ===
debram (1.0.2) unstable; urgency=medium

  * Updated the ramification data to reflect etch as of this date.
  * Updated maint.txt.

 -- Thaddeus H. Black <thb@debian.org>  Sat, 25 Nov 2006 22:00:00 +0000

debram (1.0.1) unstable; urgency=medium

  * Updated the ramification data to reflect etch as of this date.
  * Empirically observed that the daily refresh of Debian's FTP archive
    seemed to run between 18:00 and 22:00 GMT (UTC); that is, that
    packages uploaded by 18:00 came early enough for the refresh,
    whereas Packages, Sources and Contents files had been built at least
    for the i386 and amd64 archs by 22:00 (although these do not
    actually appear on the Push-Primary mirrors until several hours
    later).  Delayed debram's daily changelog timestamp to 22:00 GMT for
    this reason.  (One could ask A.J. Towns for more precise hours, but
    really, the matter does not seem important enough to bother him
    about.)
  * Planned tentatively to track the amd64 Packages file, in addition to
    the i386, for etch+1, but noted that etch debram does not track
    packages unavailable in i386.
  * Corrected the spelling of [9358 System Administration under Gnome].
  * Updated maint.txt.
  * Referred to the debram (1.0.0) changelog to explain the upload's
    medium urgency.
  * Noted that this is probably the last unstable upload toward etch,
    but that by Debian Release Manager's permission, one extraordinary
    upload toward etch remains planned during the three weeks following
    Debian's general freeze.  (See the 1.0.0 changelog.)

 -- Thaddeus H. Black <thb@debian.org>  Fri, 06 Oct 2006 22:00:00 +0000

debram (1.0.0) unstable; urgency=medium

  * As proposed in the last changelog, advanced at last to
    version 1.0.0.
  * Also as proposed in the last changelog, advanced debram's ordinary
    upload urgency to the medium level, due to the essential
    perishability of debram's data.  (The maintainer knows of the
    Debian Project's internal development autobuilder sequencing
    algorithm, but notes that autobuilder priority is not what motivates
    this change.  What motivates it is that debram brings perishable
    metadata *on other packages,* which puts it in almost a unique
    position among Debian packages.  Little purpose is served by letting
    the metadata languish ten days in unstable.  Although debram is
    somewhat a bulky package, most of the bulk is data not code.
    Debram does not heavily load the autobuilders in any case.)
    Observed that significant updates to the debram(1) executable, if
    such occurred, would drop the urgency back to low.
  * Planned per Steve Langasek's permission
    [http://lists.debian.org/debian-release/2006/09/msg00224.html]
    to update debram during the three weeks following Debian's general
    freeze.  Observed that although this will not allow debram perfectly
    to track the stable release, it should help significantly, inasmuch
    as debram during those three weeks will have an almost stationary
    target to track.
  * Updated the ramification data to reflect etch as of this date.
  * Linked a few more ramification cross-references (See Also).
  * Rewrote "Updating the library data" in the manpage again.
  * Very slightly revised the commentary in docdata/cmdsel.txt.
  * Caused helper/new-debram-body, when it encounters an unknown
    maintainer name, to delay dying until it has gathered also all the
    other unknown maintainer names which could cause it to die.  Let it
    print all these names together at once to stderr, in both utf-8 and
    iso-8859-1 character encodings.
  * Updated maint.txt.

 -- Thaddeus H. Black <thb@debian.org>  Mon, 18 Sep 2006 21:00:00 +0000

debram (0.7.0) unstable; urgency=low

  * Updated the ramification data to reflect etch as of this date.
  * Acknowledged Anoop Rajendra for ramifying some of the new packages.
  * Observed that this could be version 1.0.0, but cautiously numbered
    it 0.7.x for the moment.  Noted that future uploads before the etch
    release are likely to be marked urgency=medium, due to their
    perishable data.
  * Retreated from the post-1.0 version-numbering plan set forth in
    the 25 Feb 2006 changelog.  (It was a worthy idea, but premature.
    The proposal was too rigid for the demands of the present era of
    Debian development.)  Noted that big future reforms to the
    ramification plan would still increment at least the minor version
    number, but did not strictly define what might constitute a big
    reform.
  * For post-release stable ramification updates, undertook not to
    depart from the stable version number, but only to add a letter to
    it, as "1.2.3a".  (See "Updating the library data" in the manpage.
    Letters on non-stable numbers will continue to denote experimental
    versions, but in the future never on stable numbers.  For example,
    if Debian stable included debram 1.2.3, then debram 1.2.3a would be
    a stable ramification update.  An experimental debram would take the
    number 1.2.4a.)
  * Refined the ramification plan as follows.
    - Added the new [1273 Text Indexing and Searching].
    - Added the new [1458 General Mathematical Documentation].
    - Added the new [1474 Chemistry].
    - Retitled [1792 Debian Jr] to [1792 Debian Jr and Edu].
    - Added the new [2740 Vserver and Xen].
    - Retitled [2790 GNU Hurd] to [2790 GNU Hurd and kFreeBSD].
    - Split the old [3187 Other Revision Control] into three new
      branches: [3187 Other Centralized Revision Control];
      [3188 Arch/Tla/Bazaar]; and [3189 Other Decentralized Revision
      Control].
    - Retitled [3210 Fortran 77] to [3210 Fortran].
    - Added the new [3686 Perl 6] and [3688 GHC Haskell].
    - Added the new [4456 Proprietary Input Devices].
    - Retitled [4730 PCMCIA, APM and Other Mobile Devices]
      to [4730 Notebook Computers], and split it into several branches.

