## debram 1.0.3

=== debian/changelog ===
debram (1.0.3) unstable; urgency=medium

  * Uploaded post-freeze to sid for etch
    per Steve Langasek's permission
    [http://lists.debian.org/debian-release/2006/09/msg00224.html].
  * Updated the ramification data to reflect etch as of this date.
  * Updated maint.txt.

 -- Thaddeus H. Black <thb@debian.org>  Sat, 23 Dec 2006 22:00:00 +0000
