## debram 1.0.3-0.1

=== debian/changelog ===
debram (1.0.3-0.1) unstable; urgency=low

  * NMU.
  * src/utf8.h: Include stddef.h.  Closes: #453160.  Patch by Kumar Appaiah
    <akumar@ee.iitm.ac.in>, thanks.

 -- Bart Martens <bartm@debian.org>  Sun, 09 Mar 2008 08:36:42 +0100
