=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: debram
 Section: admin
 Priority: optional
-Maintainer: Thaddeus H. Black <t@b-tk.org>
+Maintainer: Thaddeus H. Black <thb@debian.org>
 Build-Depends: debhelper (>= 4.0.2), zlib1g-dev (>= 1:1.1.4-1.0woody0)
-Standards-Version: 3.6.1
+Standards-Version: 3.7.2
 
 Package: debram
 Section: admin
@@ -28,5 +28,5 @@
 Description: debram's architecture-independent data
  This data package installs the Debian Ramification's documentation and
  architecture-independent data.  It also provides the Command Selection
- Guide, ramifying eight hundred basic GNU/Linux commands.  See debram.
+ Guide, ramifying several hundred basic GNU/Linux commands.  See debram.
