## debram 1.0.3-0.2

=== Makefile ===
all .DEFAULT : ; cd src ; $(MAKE) $@
.PHONY       : all
