=== debian/changelog ===
debram (1.0.3-0.2) unstable; urgency=low

  * Non-maintainer Upload.
  * Use source:Version instead of Source-Version to fix binNMU installability
    (Closes: Bug#677881).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 19 Jun 2012 15:01:41 +0200
