=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Section: admin
 Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, debram-data (>= ${Source-Version})
+Depends: ${shlibs:Depends}, debram-data (>= ${source:Version})
 Suggests: debtags
 Description: ramified catalog of available .debs
  Debian GNU/Linux provides thousands upon daunting thousands of software
