=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,10 @@
 # Sample debian/rules that uses debhelper.
 # GNU copyright 1997 to 1999 by Joey Hess.
 # Modified by Thaddeus H. Black for debram.
+
+out      := debram
+out_data := $(out)-data
+docdata  := docdata
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -40,19 +44,19 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-	dh_install debram usr/bin
+	dh_install src/$(out) usr/bin
 
 # Build architecture-independent files here.
 # Pass -i to all debhelper commands in this target to reduce clutter.
 binary-indep: build install
 	dh_testdir -i
 	dh_testroot -i
-	dh_install -i debram.txt usr/share/debram-data
+	dh_install -i $(docdata)/$(out).txt usr/share/$(out_data)
 	dh_installdocs -i
 	dh_installchangelogs -i
-	dh_compress -i usr/share/debram-data/debram.txt
-	dh_link -i usr/share/debram-data/debram.txt.gz \
-	  usr/share/doc/debram-data/debram.txt.gz
+	dh_compress -i usr/share/$(out_data)/$(out).txt
+	dh_link -i usr/share/$(out_data)/$(out).txt.gz \
+	  usr/share/doc/$(out_data)/$(out).txt.gz
 	dh_fixperms -i
 	dh_installdeb -i
 	dh_gencontrol -i
@@ -65,15 +69,20 @@
 	dh_testroot -a
 	dh_installdocs -a
 	dh_installchangelogs -a
-	for DOC in debram.txt $$( cat debian/debram-data.docs ) ; do \
-	  dh_link -a usr/share/doc/debram-data/$${DOC}.gz \
-	    usr/share/doc/debram/$${DOC}.gz ; \
+	for DOC in \
+	  $(out).txt \
+	  $$( sed -ne 's/^$(docdata)\///p' debian/$(out_data).docs ) \
+	; do \
+	  dh_link -a usr/share/doc/$(out_data)/$${DOC}.gz \
+	    usr/share/doc/$(out)/$${DOC}.gz ; \
 	done
+	dh_link -a usr/share/doc/$(out_data)/README \
+	  usr/share/doc/$(out)/README
 	dh_installman -a
 	dh_strip -a
 	dh_compress -a
-	dh_link -a usr/share/debram-data/debram.txt.gz \
-	  usr/share/debram/debram.txt.gz
+	dh_link -a usr/share/$(out_data)/$(out).txt.gz \
+	  usr/share/$(out)/$(out).txt.gz
 	dh_fixperms -a
 	dh_installdeb -a
 	dh_shlibdeps -a
